| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/shadervarframeholder.h File Reference

Frame data holder for shader variables. More...

`#include "csextern.h"`
`#include "cstool/framedataholder.h"`
`#include "shadervarblockalloc.h"`

Go to the source code of this file.

## Classes
class | csShaderVariableFrameHolder
| Helper class to obtain a shader variable that was guaranteedly not used in a frame yet. More...

## Detailed Description

Frame data holder for shader variables.

Definition in file shadervarframeholder.h.